#ifndef __SPLINE_H_
#define __SPLINE_H_

#include "directgem.h"

FLOAT RemapEase(FLOAT t, FLOAT a, FLOAT b);

VOID CalculateVectorKey( gem_VectorTrack::gem_VectorKey* key, DWORD n );
VOID CalculateFirstVectorKey( gem_VectorTrack::gem_VectorKey* key );
VOID CalculateLastVectorKey( gem_VectorTrack::gem_VectorKey* key, DWORD n );
VOID Init2KeysVectorTrack( gem_VectorTrack::gem_VectorKey* key );

VOID CalculateQuatKey( gem_RotationTrack::gem_RotationKey* key, DWORD n );
VOID CalculateFirstQuatKey( gem_RotationTrack::gem_RotationKey* key );
VOID CalculateLastQuatKey( gem_RotationTrack::gem_RotationKey* key, DWORD n );
VOID Init2KeysQuatTrack( gem_RotationTrack::gem_RotationKey* key );

VOID CalculateFloatKey( gem_FloatTrack::gem_FloatKey* key, DWORD n );
VOID CalculateFirstFloatKey( gem_FloatTrack::gem_FloatKey* key );
VOID CalculateLastFloatKey( gem_FloatTrack::gem_FloatKey* key, DWORD n );
VOID Init2KeysFloatTrack( gem_FloatTrack::gem_FloatKey* key );

#endif /* __SPLINE_H_ */


